Hanzo
API Reference

Hanzo Flow API

Hanzo Flow is a visual workflow automation platform for building AI-powered

Hanzo Flow is a visual workflow automation platform for building AI-powered

Base URLhttps://flow.hanzo.ai
Version1.0.0
Operations120
GuideHanzo Flow API guide

Authentication

  • BearerAuth — HTTP bearer

All Hanzo APIs share one bearer credential and common error and pagination conventions. See API conventions.

curl -H "Authorization: Bearer $HANZO_API_KEY" https://flow.hanzo.ai

Endpoints

ai-providers

MethodEndpointDescription
GET/v1/flow/ai-providersList configured AI providers
POST/v1/flow/ai-providersAdd or update an AI provider
DELETE/v1/flow/ai-providers/{provider}Delete an AI provider

alerts

MethodEndpointDescription
GET/v1/flow/alertsList alerts (EE)
POST/v1/flow/alertsCreate an alert (EE)
DELETE/v1/flow/alerts/{id}Delete an alert (EE)

api-keys

MethodEndpointDescription
GET/v1/flow/api-keysList API keys (EE)
POST/v1/flow/api-keysCreate an API key (EE)
DELETE/v1/flow/api-keys/{id}Delete an API key (EE)

app-connections

MethodEndpointDescription
GET/v1/flow/app-connectionsList app connections
POST/v1/flow/app-connectionsUpsert an app connection
GET/v1/flow/app-connections/ownersList app connection owners
POST/v1/flow/app-connections/replaceReplace one connection with another across all flows
POST/v1/flow/app-connections/{id}Update an app connection
DELETE/v1/flow/app-connections/{id}Delete an app connection

audit-events

MethodEndpointDescription
GET/v1/flow/audit-eventsList audit log events (EE)

authentication

MethodEndpointDescription
POST/v1/flow/authentication/sign-upSign up a new user
POST/v1/flow/authentication/sign-inSign in with credentials
GET/v1/flow/authn/federated/loginInitiate federated authentication (EE)
POST/v1/flow/authn/federated/claimComplete federated authentication (EE)

custom-domains

MethodEndpointDescription
GET/v1/flow/custom-domainsList custom domains (EE)
POST/v1/flow/custom-domainsAdd a custom domain (EE)
DELETE/v1/flow/custom-domains/{id}Remove a custom domain (EE)

fields

MethodEndpointDescription
GET/v1/flow/fieldsList fields for a table
POST/v1/flow/fieldsCreate a field in a table

flags

MethodEndpointDescription
GET/v1/flow/flagsGet feature flags and configuration

flow-runs

MethodEndpointDescription
GET/v1/flow/flow-runsList flow runs
GET/v1/flow/flow-runs/{id}Get a flow run by id
POST/v1/flow/flow-runs/{id}/requests/{requestId}Resume a paused flow run with human input
POST/v1/flow/flow-runs/bulk/cancelBulk cancel running flow runs
POST/v1/flow/flow-runs/{id}/retryRetry a failed flow run

flows

MethodEndpointDescription
GET/v1/flow/flowsList flows
POST/v1/flow/flowsCreate a flow
GET/v1/flow/flows/countCount flows
GET/v1/flow/flows/{id}Get a flow by id
POST/v1/flow/flows/{id}Apply an operation to a flow
DELETE/v1/flow/flows/{id}Delete a flow
GET/v1/flow/flows/{id}/templateExport flow as template
GET/v1/flow/step-filesGet a file produced by a flow step
GET/v1/flow/human-input/form/{flowId}Get human input form definition for a flow

folders

MethodEndpointDescription
GET/v1/flow/foldersList folders
POST/v1/flow/foldersCreate a folder
GET/v1/flow/folders/{id}Get a folder by id
POST/v1/flow/folders/{id}Update a folder
DELETE/v1/flow/folders/{id}Delete a folder

git-repos

MethodEndpointDescription
GET/v1/flow/git-reposList connected git repos (EE)
POST/v1/flow/git-reposConnect a git repo for sync (EE)
DELETE/v1/flow/git-repos/{id}Disconnect a git repo (EE)
POST/v1/flow/git-repos/{id}/pushPush flows to git (EE)
POST/v1/flow/git-repos/{id}/pullPull flows from git (EE)

global-connections

MethodEndpointDescription
GET/v1/flow/global-connectionsList platform-wide connections (EE)
POST/v1/flow/global-connectionsCreate a global connection (EE)
POST/v1/flow/global-connections/{id}Update a global connection (EE)
DELETE/v1/flow/global-connections/{id}Delete a global connection (EE)

health

MethodEndpointDescription
GET/v1/flow/healthHealth check
GET/v1/flow/docsGet auto-generated OpenAPI documentation

mcp

MethodEndpointDescription
GET/v1/flow/projects/{projectId}/mcp-serverGet MCP server configuration for a project

oauth-apps

MethodEndpointDescription
GET/v1/flow/oauth-appsList OAuth app configurations (EE)
POST/v1/flow/oauth-appsUpsert an OAuth app (EE)
DELETE/v1/flow/oauth-apps/{id}Delete an OAuth app (EE)

pieces

MethodEndpointDescription
GET/v1/flow/piecesList available pieces
GET/v1/flow/pieces/categoriesList piece categories
GET/v1/flow/pieces/versionsList available versions of a piece
GET/v1/flow/pieces/registryGet piece registry metadata
POST/v1/flow/pieces/syncSync piece metadata from registry
POST/v1/flow/pieces/optionsGet dynamic property options for a piece action/trigger
GET/v1/flow/pieces/{name}Get piece metadata by name
GET/v1/flow/pieces/{scope}/{name}Get scoped piece metadata

platform

MethodEndpointDescription
GET/v1/flow/platforms/{id}Get platform settings
POST/v1/flow/platforms/{id}Update platform settings
GET/v1/flow/analyticsGet platform analytics data
GET/v1/flow/queue-metricsGet worker queue metrics (EE)

project-members

MethodEndpointDescription
GET/v1/flow/project-membersList project members (EE)
POST/v1/flow/project-membersAdd a project member (EE)
DELETE/v1/flow/project-members/{id}Remove a project member (EE)

project-releases

MethodEndpointDescription
GET/v1/flow/project-releasesList releases (EE)
POST/v1/flow/project-releasesCreate a release (EE)

project-roles

MethodEndpointDescription
GET/v1/flow/project-rolesList project roles (EE)

projects

MethodEndpointDescription
GET/v1/flow/projectsList projects
GET/v1/flow/projects/{id}Get a project by id
POST/v1/flow/projects/{id}Update project settings

records

MethodEndpointDescription
GET/v1/flow/recordsList records in a table
POST/v1/flow/recordsCreate a record
GET/v1/flow/records/{id}Get a record
PATCH/v1/flow/records/{id}Update a record
DELETE/v1/flow/records/{id}Delete a record

sample-data

MethodEndpointDescription
GET/v1/flow/sample-dataGet sample data for a flow step
POST/v1/flow/sample-dataSave sample data for a flow step

signing-keys

MethodEndpointDescription
GET/v1/flow/signing-keysList signing keys (EE)
POST/v1/flow/signing-keysCreate a signing key (EE)

solutions

MethodEndpointDescription
GET/v1/flow/solutionsList packaged solutions (EE)
POST/v1/flow/solutionsCreate a solution from flows (EE)
POST/v1/flow/solutions/{id}/applyApply a solution to the project (EE)

store-entries

MethodEndpointDescription
GET/v1/flow/store-entriesList store entries
POST/v1/flow/store-entriesCreate or update a store entry
GET/v1/flow/store-entries/{key}Get a store entry by key
DELETE/v1/flow/store-entries/{key}Delete a store entry

tables

MethodEndpointDescription
GET/v1/flow/tablesList tables
POST/v1/flow/tablesCreate a table
GET/v1/flow/tables/{id}Get a table
DELETE/v1/flow/tables/{id}Delete a table

tags

MethodEndpointDescription
GET/v1/flow/tagsList piece tags

templates

MethodEndpointDescription
GET/v1/flow/templatesList flow templates
GET/v1/flow/templates/{id}Get a template by id

todos

MethodEndpointDescription
GET/v1/flow/todosList todos
GET/v1/flow/todos/{id}Get a todo
POST/v1/flow/todos/{id}Update a todo
GET/v1/flow/todo-activitiesList todo activity log

triggers

MethodEndpointDescription
GET/v1/flow/trigger-eventsList trigger events for a flow
POST/v1/flow/test-triggerTest a trigger and get sample data
GET/v1/flow/trigger-runsList trigger run history
POST/v1/flow/app-events/{pieceUrl}Handle incoming app event for trigger routing

user-invitations

MethodEndpointDescription
GET/v1/flow/user-invitationsList pending invitations
POST/v1/flow/user-invitationsInvite a user to a project
POST/v1/flow/user-invitations/{id}/acceptAccept an invitation

users

MethodEndpointDescription
GET/v1/flow/usersList platform users
GET/v1/flow/users/{id}Get user by id

webhooks

MethodEndpointDescription
POST/v1/flow/webhooks/{flowId}Receive incoming webhook for a flow trigger
POST/v1/flow/webhooks/{flowId}/syncReceive webhook and wait for flow run result
GET/v1/flow/webhooks/{flowId}/simulateSimulate a webhook to capture sample data

Hanzo Flow API guide · All Hanzo APIs · OpenAPI spec

How is this guide?

On this page